/*
 * JNpp - Java bindings for NPP, to be used with JCuda
 *
 * Copyright (c) 2010-2014 Marco Hutter - http://www.jcuda.org
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */

#include "JNpp_common.hpp"

bool initNative(JNIEnv *env, jobjectArray input, Npp8s* output[], int size);
bool initNative(JNIEnv *env, jobjectArray input, const Npp8s* output[], int size);

bool initNative(JNIEnv *env, jobjectArray input, Npp8u* output[], int size);
bool initNative(JNIEnv *env, jobjectArray input, const Npp8u* output[], int size);

bool initNative(JNIEnv *env, jobjectArray input, Npp16s* output[], int size);
bool initNative(JNIEnv *env, jobjectArray input, const Npp16s* output[], int size);

bool initNative(JNIEnv *env, jobjectArray input, Npp16u* output[], int size);
bool initNative(JNIEnv *env, jobjectArray input, const Npp16u* output[], int size);

bool initNative(JNIEnv *env, jobjectArray input, Npp32s* output[], int size);
bool initNative(JNIEnv *env, jobjectArray input, const Npp32s* output[], int size);

bool initNative(JNIEnv *env, jobjectArray input, Npp32f* output[], int size);
bool initNative(JNIEnv *env, jobjectArray input, const Npp32f* output[], int size);

bool initNative(JNIEnv *env, jobjectArray input, Npp64f* output[], int size);
bool initNative(JNIEnv *env, jobjectArray input, const Npp64f* output[], int size);
